%define	name	evas
%define version 1.0.1
%define release %mkrel 1

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightened canvas library
Name: 		%{name}
Version: 	%{version}
Epoch:		2
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Conflicts:	%{mklibname evas1}-devel

BuildRequires: 	freetype-devel
BuildRequires: 	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxrender-devel
BuildRequires:	SDL-devel
BuildRequires:	cairo-devel
BuildRequires:	fribidi-devel
BuildRequires:	eina-devel >= 1.0.0
BuildRequires: 	eet-devel >= 1.4.0
BuildRequires:	edb-devel >= 1.0.5.042
BuildRequires:	cairo-devel 
BuildRequires:	png-devel, jpeg-devel 
Buildrequires:	tiff-devel
BuildRequires:	librsvg-devel
Buildrequires:  mesagl-devel
BuildRequires:	ungif-devel, xpm-devel
Buildrequires:	xcb-devel pixman-devel libxcb-util-devel

%description
Evas is a clean display canvas API for several target display systems
that can draw anti-aliased text, smooth super and sub-sampled scaled
images, alpha-blend objects much and more.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %{libname}
Summary: Enlightened Canvas Libraries
Group: System/Libraries

%description -n %{libname}
Evas canvas libraries.

Evas is a clean display canvas API for several target display systems
that can draw anti-aliased text, smooth super and sub-sampled scaled
images, alpha-blend objects much and more.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libnamedev
Summary: Enlightened Canvas Library headers and development libraries
Group: System/Libraries
Requires: %{libname} = 2:%{version}
Provides: %{name}-devel = 2:%{version}-%{release}
Conflicts:	%{mklibname evas1}-devel
Obsoletes: %mklibname -d evas 0

%description -n %libnamedev
Evas development headers and development libraries.

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x --enable-image-loader-gif \
  --disable-valgrind \
  --enable-image-loader-png \
  --enable-image-loader-jpeg \
  --enable-image-loader-eet \
  --enable-font-loader-eet \
  --enable-image-loader-edb \
  --enable-image-loader-tiff \
  --enable-image-loader-xpm \
  --enable-image-loader-svg \
  --enable-cpu-mmx \
  --enable-cpu-sse \
  --enable-cpu-c \
  --enable-scale-sample \
  --enable-scale-smooth \
  --enable-convert-yuv \
  --enable-small-dither-mask \
  --enable-fontconfig \
  --enable-software-xlib \
  --enable-software-16-x11 \
  --enable-software-xcb \
  --enable-software-sdl \
  --enable-fb \
  --enable-buffer \
  --enable-gl-x11 \
  --disable-gl-glew \
  --enable-xrender-x11 \
  --enable-xrender-xcb \
  --enable-pthreads

# fix libtool issue on release < 2009.1
%if %mdkversion < 200910
perl -pi -e "s/^ECHO.*/ECHO='echo'\necho='echo'\n/" libtool
%endif

%make

%install
rm -fr %buildroot
%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/evas
%{_bindir}/evas_cserve
%{_bindir}/evas_cserve_tool

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/*.so.%{major}*
%{_libdir}/%name/modules/engines/*/*/*.so
%{_libdir}/%name/modules/loaders/*/*/*.so
%{_libdir}/%name/modules/savers/*/*/*.so

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/libevas.so
%{_libdir}/libevas.*a
%{_libdir}/%name/modules/savers/*/*/*.*a
%{_libdir}/%name/modules/loaders/*/*/*.*a
%{_libdir}/%name/modules/engines/*/*/*.*a
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Sun May 29 2011 Funda Wang <fwang@mandriva.org> 2:1.0.1-1mdv2011.0
+ Revision: 681649
- update to new version 1.0.1

* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 2:1.0.0-1
+ Revision: 633909
- 1.0.0 final

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta3.2mdv2011.0
+ Revision: 622816
- rebuild

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta3.1mdv2011.0
+ Revision: 622782
- 1.0 beta3

* Sun Nov 14 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta2.1mdv2011.0
+ Revision: 597516
- 1.0.0 beta2

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta.2mdv2011.0
+ Revision: 585299
- rebuild

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta.1mdv2011.0
+ Revision: 585290
- 1.0.0 beta

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 2:0.9.9.49898-1mdv2011.0
+ Revision: 549977
- update file list
- New version 0.9.9.49898

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 2:0.9.9.063-3mdv2010.1
+ Revision: 492241
- rebuild for new libjpeg v8

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.063-2mdv2010.1
+ Revision: 478439
- drop hard requires on libs

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.063-1mdv2010.1
+ Revision: 478106
- New version 0.9.9.063

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.062-4mdv2010.0
+ Revision: 419750
- rebuild for new libjpeg v7

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.062-3mdv2010.0
+ Revision: 411250
- add more BR

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.062-2mdv2010.0
+ Revision: 411249
- enable sdl backend

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.062-1mdv2010.0
+ Revision: 411105
- new version 0.9.9.062

* Tue Jul 07 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.061-2mdv2010.0
+ Revision: 393188
- rebuild for new eina

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.061-1mdv2010.0
+ Revision: 392863
- fix file list
- new version 0.9.9.061

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 2:0.9.9.060-1mdv2010.0
+ Revision: 370631
- New version 0.9.9.060

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 2:0.9.9.050-3mdv2009.1
+ Revision: 347820
- bump release
- fix libtool for release < 2009.1

* Fri Feb 27 2009 Antoine Ginies <aginies@mandriva.com> 2:0.9.9.050-2mdv2009.1
+ Revision: 345624
- add xcb-util-devel buildrequires
- update buildrequires
- fix xcb-devel buildrequires
- add xcb pixman-1-devel buildrequires
- SVN SNAPSHOT 20090227, release 0.9.9.050, update eet buildrequires version

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 2:0.9.9.050-1mdv2009.1
+ Revision: 292037
- New snapshot

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2:0.9.9.043-4mdv2009.0
+ Revision: 266734
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 2:0.9.9.043-3mdv2009.0
+ Revision: 213968
- sdl backends does not exists
- enalbe soft-16-x11

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 2:0.9.9.043-1mdv2009.0
+ Revision: 213941
- New version 0.9.9.043

  + Antoine Ginies <aginies@mandriva.com>
    - fix 2008.0 rebuild

* Thu Mar 27 2008 Pascal Terjan <pterjan@mandriva.org> 2:0.9.9.042-4mdv2008.1
+ Revision: 190650
- Have the libs to conflict too, else it breaks upgrade from 2008.0

* Tue Mar 18 2008 Antoine Ginies <aginies@mandriva.com> 2:0.9.9.042-3mdv2008.1
+ Revision: 188469
- increase release
- add a conflict with evas1

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 2:0.9.9.042-2mdv2008.1
+ Revision: 168880
- fix buildrequires (xcb-devel is not provided by libxcb1-devel)
- add some buildrequires, update configure options
- CVS snapshot 20080215
- adjust buildrequires

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 2:0.9.9.042-1mdv2008.1
+ Revision: 161307
- sync
- new version
- back to major=0 (strange)
- tidy spec and provides
- drop config file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Austin Acton <austin@mandriva.org> 1:0.9.9.041-3mdv2008.1
+ Revision: 108044
- adjust configure options
- tidy

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.041-2mdv2008.1
+ Revision: 104090
- new tarball from svn snapshot
- increase mkrel
- update buildrequires

* Thu Aug 30 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.041-1mdv2008.0
+ Revision: 76298
- fix missing evas-config
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.9.9.041
- use libxcb-devel not %%{mklibname xcb}-devel
- fix tiff-devel buildrequires (do not use major version)
- prevent major bug to happen again
- remove major in libxcb-devel buildrequires
- remove  libsvg-cairo1-devel buildrequires
- fix xcb1-devel buildrequires
- add directfb-devel, libsvg-cairo1-devel buildrequires
- add more buildrequires
- CVS snapshot 20070604
- add ./autogen.sh in %%make section
- ?\195?\169disable ddraw rendering
- CVS SNAPSHOT 20070529, release 0.9.9.038

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-7mdv2008.0
+ Revision: 32588
- enable gl evas rendering

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-6mdv2008.0
+ Revision: 32277
- adjust tiff3-devel buildrequires
- remove direcfb-buildrequires
- re-add directfb1-devel buildrequires
- remove directfb buildrequires
- add needed buildrequires
- active directfb, g, generic evas engines

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-5mdv2008.0
+ Revision: 30640
- increase mkrel
- CVS snapshot 20070524, release 0.9.9.038
- remove unwanted changelog

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-4mdv2008.0
+ Revision: 29102
- CVS snapshot 20070516, adjust configure options, release 0.9.9.038

* Mon Apr 23 2007 Pascal Terjan <pterjan@mandriva.org> 1:0.9.9.037-3mdv2008.0
+ Revision: 17526
- Don't require evas, it no longer exists
- Add the epoch in Obsoletes

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1:0.9.9.037-1mdv2008.0
+ Revision: 17126
- Add the description to the lib subpackage as it is now the main one
- Add obsoletes so that people don't keep the old binaries
- New snapshot
- Remove main binary as /usr/bin/evas_* and /usr/share/evas are no longer there

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1:0.9.9.032-3mdv2008.0
+ Revision: 17051
- devel requires edb-devel, png-devel and eet-devel (from pkgconfig)


* Sun Dec 03 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.9.032-2mdv2007.0
+ Revision: 90215
- Require the main package in -devel, it contains the .so of modules

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org> 1:0.9.9.032-1mdv2007.0
+ Revision: 53334
- add sources 0.9.9.032
- 0.9.9.032
- Import evas

* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 1:0.9.9.025-0.20060323.1mdk
- new cvs checkout
- update description

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.9.9.023-0.20060216.1mdk
- new cvs checkout

* Tue Jan 17 2006 Austin Acton <austin@mandriva.org> 0.9.9.023-0.20060117.1mdk
- new cvs checkout

* Thu Jan 12 2006 Austin Acton <austin@mandriva.org> 0.9.9.022-0.20060111.1mdk
- new cvs checkout

* Thu Nov 24 2005 Austin Acton <austin@mandriva.org> 0.9.9.020-0.20051124.1mdk
- new cvs checkout
- disable directfb backend

* Thu Nov 24 2005 Lenny Cartier <lenny@mandriva.com> 0.9.9.020-0.20051112.2mdk
- rebuild for new libfusion

* Sat Nov 12 2005 Austin Acton <austin@mandriva.org> 0.9.9.020-0.20051112.1mdk
- new cvs checkout

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.9.9.019-0.20051109.1mdk
- new cvs checkout

* Fri Nov 04 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.019-0.20051104.1mdk
- new cvs checkout

* Tue Sep 06 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.013-0.20050904.1mdk
- new cvs checkout

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.013-0.20050813.1mdk
- new cvs checkout

* Tue Jun 28 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.010-0.20050627.1mdk
- new cvs checkout

* Thu Jun 09 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.008-0.20050608.1mdk
- new cvs checkout

* Thu May 26 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050524.2mdk
- multiarch binaries

* Thu May 26 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050524.1mdk
- new cvs checkout

* Sun May 22 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050519.1mdk
- disable cairo (won't build with cairo 0.5.0)

* Sat May 14 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.4mdk
- really remove valgrind
- clean spec

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.3mdk
- disable valgrind to allow building on x86_64
- fix provides

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.2mdk
- fix epoch tags (thanks Olivier Thauvin)
- make buildrequires lib64 friendly

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.1mdk
- version 0.9.9.025 0.9.9.007, so epoch 1
- fix up spec
- disable mmx/sse (Morreale J-R)

* Wed Sep 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1.20040913.1mdk
- 1.0.0 20040913

* Wed Jun 16 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.0-1.20030730.3mdk
- rebuild

